#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.4.0.2
visibility:           public
id:                   ghcide-1.4.0.2-KTtVbZj0lzb77cj6tcTrrG
key:                  ghcide-1.4.0.2-KTtVbZj0lzb77cj6tcTrrG
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  d1c256f6ce24e8cbe383cced88d79360
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Error
    Development.IDE.GHC.ExactPrint Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Plugin Development.IDE.Plugin.CodeAction
    Development.IDE.Plugin.CodeAction.ExactPrint
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Options Development.IDE.Types.Shake
    Generics.SYB.GHC

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings Development.IDE.LSP.Notifications
    Development.IDE.Plugin.CodeAction.PositionIndexed
    Development.IDE.Plugin.CodeAction.Args
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.2
library-dirs:         /usr/lib/ghc-9.0.1/site-local/ghcide-1.4.0.2
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/ghcide-1.4.0.2
hs-libraries:         HSghcide-1.4.0.2-KTtVbZj0lzb77cj6tcTrrG
depends:
    Diff-0.4.0-F7vyJzYzam9CwrUJdg8bD2 Glob-0.10.1-dRrZVZhZlNBlliV80pX2x
    aeson-1.5.6.0-BNspgXAzKp6CkIs2quQxij array-0.5.4.0
    async-2.2.3-CPBwqhOcknLBTZGzgxEVzJ base-4.15.0.0
    base16-bytestring-1.0.1.0-BRvfKclt2qL8KPIGtNU9kE binary-0.8.8.0
    bytestring-0.10.12.1
    bytestring-encoding-0.1.1.0-1tpX0a7ln3dDl9dkzAg33S
    case-insensitive-1.2.1.0-C62erXxWyCP2CSc0oj6vPA containers-0.6.4.1
    cryptohash-sha1-0.11.100.1-76A50UqL08yHXaRzujd3cE
    data-default-0.7.1.1-IvZDod4GR1F6QW3rWcNSTn deepseq-1.4.5.0
    dependent-map-0.4.0.0-IoCqtRLSW8O713MgK5ytRK
    dependent-sum-0.7.1.0-G1T0rP9WVCB81kFZLQ0PPP directory-1.3.6.1
    dlist-1.0-A8ZakkvDKerBegx9VfkpzR extra-1.7.9-KMYmNv5mNKaKqV0mR0I0qC
    filepath-1.4.2.1 fingertree-0.1.4.2-HVtLbmVvcb43dCuRqShCyr
    fuzzy-0.1.0.0-DiLuAN9jcve1KR2qi9bgQf ghc-9.0.1
    ghc-api-compat-8.6.1-3GYFFbfr2XZ391lwrGN6OF ghc-boot-9.0.1
    ghc-boot-th-9.0.1 ghc-check-0.5.0.5-JBD3s7p3bAI4dSG0UkDaz3
    ghc-exactprint-0.6.4-8DQ93zXOvQQlqxiEOBa70
    ghc-paths-0.1.0.12-D0EghxpsajHHuX2KoHY7KF
    ghc-trace-events-0.1.2.2-4VTRQ4se7HxCAt7J5ZqMdN
    haddock-library-1.10.0-5NesMqRB7sb9xmIl3d4RPs
    hashable-1.3.2.0-2IQ0Qtd2MN7HlUHlezOEDe
    heapsize-0.3.0.1-5T4QXpHrMdEJ7zlyiE7IYW
    hie-bios-0.7.5-3QO6IxfcL5ZLE5m2ULM4pm
    hie-compat-0.2.0.0-HHVbuGAk8zeLJ4sWoPjDO6
    hiedb-0.3.0.1-1z00ylEfFHt2OlwEwry7tt
    hls-graph-1.4.0.0-8Jwo8lm1JWP4Kic7dskE6H
    hls-plugin-api-1.1.0.2-HszBgXPoyEU3szvs4WOQrA
    hslogger-1.3.1.0-KglvuGOk5YgL9qmalqqu9O
    implicit-hie-cradle-0.3.0.3-Cktni1OXPkf8WGvxAlEebQ
    lens-5.0.1-7sIVDM65vzN73vCnPCqKgV
    lsp-1.2.0.0-64vs8C5rSUt3nbXDqhZzfs
    lsp-types-1.2.0.0-JeDaC70tqglEDYls8zQUXd mtl-2.2.2
    network-uri-2.6.4.1-BLO7J2ZupQZ1TNm4gnLLSm
    opentelemetry-0.7.0-Hp26NYRTkaxHryTnsyZhXJ
    optparse-applicative-0.16.1.0-6dGii2NKkQQBij9YsteevU
    parallel-3.2.2.0-G9JTeCQCHda2yggytvFxi6
    prettyprinter-1.7.0-ILxlK9V4PbNLsbPNLSDcco
    prettyprinter-ansi-terminal-1.1.2-4yIIsFzl8t03XpPLCi425
    regex-tdfa-1.3.1.1-8KBKH3EsotI2v3BWqoG8PB
    retrie-1.0.0.0-ErHtJ6OIaLGHQsXSHB1qPi
    rope-utf16-splay-0.3.2.0-GqeEbt4NlJTKSfFuDXnIDe
    safe-0.3.19-BCcHjTM7bV690cTfMWPidj
    safe-exceptions-0.1.7.1-At2iNekZrcF6giqPpVVzmN
    sorted-list-0.2.1.0-GAuY2s8imm748N24vRN1OU
    sqlite-simple-0.4.18.0-K1kplawIQib1OSy0b8hA0V stm-2.5.0.0
    syb-0.7.2.1-J5q3iPBtnlLDQl43DMfXCR text-1.2.4.1 time-1.9.3
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.18-EeFOl6rWD9L2quWIf96wtG
    unliftio-core-0.2.0.1-2baD1vXgUkB5a1NRn2rSLN
    unordered-containers-0.2.14.0-F4OqjO0JqkT1fpEQ2fUdqU
    utf8-string-1.0.2-FSV4F6pxd5y7PjtRkbEpDf
    vector-0.12.3.0-5y94DJOg9cG5Wgh0YNjnNz

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

